package cn.com.qmth.examcloud.examwork.api.client;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.web.client.RestTemplate;

import cn.com.qmth.examcloud.commons.web.redis.RedisClient;
import cn.com.qmth.examcloud.examwork.api.ExamCloudService;
import cn.com.qmth.examcloud.examwork.api.request.GetExamPropertyReq;
import cn.com.qmth.examcloud.examwork.api.request.GetExamReq;
import cn.com.qmth.examcloud.examwork.api.request.SaveExamReq;
import cn.com.qmth.examcloud.examwork.api.request.SetExamPropertyReq;
import cn.com.qmth.examcloud.examwork.api.response.GetExamPropertyResp;
import cn.com.qmth.examcloud.examwork.api.response.GetExamResp;
import cn.com.qmth.examcloud.examwork.api.response.SaveExamResp;
import cn.com.qmth.examcloud.examwork.api.response.SetExamPropertyResp;

/**
 * @author chenken
 * @date 2018年5月3日 上午9:18:19
 * @company QMTH
 * @description ExamClient.java
 */
@Service
public class ExamCloudServiceClient extends BasicCloudClientSupport implements ExamCloudService {

	private static final long serialVersionUID = -2880611326177571371L;

	@Autowired
	RestTemplate restTemplate;

	@Autowired
	private RedisClient redisClient;

	@Override
	protected RedisClient getRedisClient() {
		return redisClient;
	}

	@Override
	protected RestTemplate getRestTemplate() {
		return restTemplate;
	}

	@Override
	public SaveExamResp saveExam(SaveExamReq req) {
		return post("exam/saveExam", req, SaveExamResp.class);
	}

	@Override
	public GetExamResp getExam(GetExamReq req) {
		return post("exam/getExam", req, GetExamResp.class);
	}

	@Override
	public SetExamPropertyResp setExamProperty(SetExamPropertyReq req) {
		return post("exam/setExamProperty", req, SetExamPropertyResp.class);
	}

	@Override
	public GetExamPropertyResp getExamProperty(GetExamPropertyReq req) {
		return post("exam/getExamProperty", req, GetExamPropertyResp.class);
	}

}
