package cn.com.qmth.examcloud.examwork.api;

import cn.com.qmth.examcloud.commons.web.cloud.api.CloudService;
import cn.com.qmth.examcloud.examwork.api.request.GetExamPropertyReq;
import cn.com.qmth.examcloud.examwork.api.request.GetExamReq;
import cn.com.qmth.examcloud.examwork.api.request.SaveExamReq;
import cn.com.qmth.examcloud.examwork.api.request.SetExamPropertyReq;
import cn.com.qmth.examcloud.examwork.api.response.GetExamPropertyResp;
import cn.com.qmth.examcloud.examwork.api.response.GetExamResp;
import cn.com.qmth.examcloud.examwork.api.response.SaveExamResp;
import cn.com.qmth.examcloud.examwork.api.response.SetExamPropertyResp;

/**
 * 类注释
 *
 * @author WANGWEI
 * @date 2018年8月6日
 * @Copyright (c) 2018-? http://qmth.com.cn All Rights Reserved.
 */
public interface ExamCloudService extends CloudService {

	/**
	 * 保存考试
	 * 
	 * @param exam
	 */
	SaveExamResp saveExam(SaveExamReq req);

	/**
	 * 查询考试
	 * 
	 * @param name
	 * @return
	 */
	GetExamResp getExam(GetExamReq req);

	/**
	 * 设置考试属性配置
	 *
	 * @author WANGWEI
	 * @param req
	 * @return
	 */
	SetExamPropertyResp setExamProperty(SetExamPropertyReq req);

	/**
	 * 获取考试属性配置
	 *
	 * @author WANGWEI
	 * @param req
	 * @return
	 */
	GetExamPropertyResp getExamProperty(GetExamPropertyReq req);

}
