package cn.com.qmth.examcloud.core.questions.api.client;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.client.RestTemplate;

import cn.com.qmth.examcloud.commons.web.redis.RedisClient;
import cn.com.qmth.examcloud.core.questions.api.ExtractConfigCloudService;
import cn.com.qmth.examcloud.core.questions.api.request.GetPaperReq;
import cn.com.qmth.examcloud.core.questions.api.response.GetPaperResp;

/**
 * @author 		weiwenhai
 * @date 		2018.8.15
 * @company		qmth
 * @describle	调卷远程调用服务
 *
 */
public class ExtractConfigCloudServiceClient extends ExtractConfigCloudClientSupport implements ExtractConfigCloudService{

	private static final long serialVersionUID = 5635276170773870907L;

	
	@Autowired
	private RestTemplate restTemplate;

	@Autowired
	private RedisClient redisClient;
	
	@Override
	public GetPaperResp getPaper(GetPaperReq req) {
		return post("extract_paper/getPaper", req, GetPaperResp.class);
	}

	@Override
	protected RestTemplate getRestTemplate() {
		return restTemplate;
	}

	@Override
	protected RedisClient getRedisClient() {
		return redisClient;
	}
	
}
